io.vertx.reactivex.ext.auth.oauth2

## Class KeycloakHelper

- java.lang.Object
- - io.vertx.reactivex.ext.auth.oauth2.KeycloakHelper

-     public class KeycloakHelper
      extends Object

  Helper class for processing Keycloak principal.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<KeycloakHelper>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeycloakHelper(KeycloakHelper delegate)`
    `KeycloakHelper(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JsonObject` | `accessToken(JsonObject principal)` Get decoded `access_token` from the principal.
    `static String` | `acr(JsonObject principal)`
    `static Set<String>` | `allowedOrigins(JsonObject principal)`
    `static int` | `authTime(JsonObject principal)`
    `static String` | `email(JsonObject principal)`
    `boolean` | `equals(Object o)`
    `KeycloakHelper` | `getDelegate()`
    `int` | `hashCode()`
    `static JsonObject` | `idToken(JsonObject principal)` Get decoded `id_token` from the principal.
    `static String` | `name(JsonObject principal)`
    `static KeycloakHelper` | `newInstance(KeycloakHelper arg)`
    `static String` | `nickName(JsonObject principal)`
    `static JsonObject` | `parseToken(String token)` Parse the token string with base64 decoder.
    `static String` | `preferredUsername(JsonObject principal)`
    `static String` | `rawAccessToken(JsonObject principal)` Get raw `access_token` string from the principal.
    `static String` | `rawIdToken(JsonObject principal)` Get raw `id_token` string from the principal.
    `static String` | `sessionState(JsonObject principal)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<KeycloakHelper> __TYPE_ARG

  - ### Constructor Detail

    - #### KeycloakHelper

          public KeycloakHelper(KeycloakHelper delegate)

    - #### KeycloakHelper

          public KeycloakHelper(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public KeycloakHelper getDelegate()

    - #### rawIdToken

          public static String rawIdToken(JsonObject principal)

      Get raw `id_token` string from the principal.
      Parameters:
        `principal` - user principal
      Returns:
        the raw id token string

    - #### idToken

          public static JsonObject idToken(JsonObject principal)

      Get decoded `id_token` from the principal.
      Parameters:
        `principal` - user principal
      Returns:
        the id token

    - #### rawAccessToken

          public static String rawAccessToken(JsonObject principal)

      Get raw `access_token` string from the principal.
      Parameters:
        `principal` - user principal
      Returns:
        the raw access token string

    - #### accessToken

          public static JsonObject accessToken(JsonObject principal)

      Get decoded `access_token` from the principal.
      Parameters:
        `principal` - user principal
      Returns:
        the access token

    - #### authTime

          public static int authTime(JsonObject principal)

    - #### sessionState

          public static String sessionState(JsonObject principal)

    - #### acr

          public static String acr(JsonObject principal)

    - #### name

          public static String name(JsonObject principal)

    - #### email

          public static String email(JsonObject principal)

    - #### preferredUsername

          public static String preferredUsername(JsonObject principal)

    - #### nickName

          public static String nickName(JsonObject principal)

    - #### allowedOrigins

          public static Set<String> allowedOrigins(JsonObject principal)

    - #### parseToken

          public static JsonObject parseToken(String token)

      Parse the token string with base64 decoder. This will only obtain the "payload" part of the token.
      Parameters:
        `token` - token string
      Returns:
        token payload json object

    - #### newInstance

          public static KeycloakHelper newInstance(KeycloakHelper arg)

Copyright © 2021 Eclipse. All rights reserved.